Routing - Retrieve
curl --request GET \
--url https://sandbox.birrpay.io/v2/routing-algorithms/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.birrpay.io/v2/routing-algorithms/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.birrpay.io/v2/routing-algorithms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"profile_id": "<string>",
"name": "<string>",
"description": "<string>",
"algorithm": {
"type": "single",
"data": {
"connector": "authipay",
"merchant_connector_id": "<string>"
}
},
"created_at": 123,
"modified_at": 123,
"algorithm_for": "payment"
}Routing
Routing - Retrieve
Retrieve a routing algorithm with its algorithm id
GET
/
v2
/
routing-algorithms
/
{id}
Routing - Retrieve
Authorizations
api_keyjwt_key
Format: api-key=<api_key>
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for a routing algorithm
Response
Successfully fetched routing algorithm
Routing Algorithm specific to merchants
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Available options:
payment, payout, three_ds_authentication